Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.modca
Class AbstractNamedAFPObject

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.modca.AbstractStructuredObject
              org.apache.fop.afp.modca.AbstractTripletStructuredObject
                  org.apache.fop.afp.modca.AbstractNamedAFPObject

All Implemented Interfaces:
  Streamable

Direct Known Subclasses:
  AbstractDataObject, AbstractEnvironmentGroup, AbstractGraphicsDrawingOrderContainer, AbstractPageObject, ImageSegment, IMImageObject, IncludedResourceObject, IncludeObject, IncludePageOverlay, IncludePageSegment, InvokeMediumMap, ObjectEnvironmentGroup, PageSegment, PresentationTextObject, ResourceGroup, ResourceObject

public abstract class AbstractNamedAFPObject
extends AbstractTripletStructuredObject

This is the base class for all named data stream objects. A named data stream object has an 8 byte EBCIDIC name.

Nested Class Summary

Nested classes inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary
`protected java.lang.String` | `name` The actual name of the object

Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`triplets`

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`log, SF_CLASS, SF_HEADER`

Constructor Summary
`protected` | `AbstractNamedAFPObject()` Default constructor
`protected` | `AbstractNamedAFPObject(java.lang.String name)` Constructor for the ActiveEnvironmentGroup, this takes a name parameter which should be 8 characters long.

Method Summary
`protected void` | `copySF(byte[] data, byte type, byte category)` Copies the template structured field data array to the given byte array
`java.lang.String` | `getName()` Returns the name of this object
`byte[]` | `getNameBytes()` Returns the name as a byte array in EBCIDIC encoding
`protected int` | `getNameLength()` Returns the name length
`void` | `setName(java.lang.String name)` Sets the name of this object
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setObjectClassification, writeTriplets`

Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject
`writeContent, writeEnd, writeStart, writeToStream`

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copyChunks, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The actual name of the object

Constructor Detail

### AbstractNamedAFPObject

    protected AbstractNamedAFPObject()

  Default constructor

### AbstractNamedAFPObject

    protected AbstractNamedAFPObject(java.lang.String name)

  Constructor for the ActiveEnvironmentGroup, this takes a name parameter which should be 8 characters long.

Parameters:
  `name` - the object name

Method Detail

### getNameLength

    protected int getNameLength()

  Returns the name length

  Returns:
    the name length

### getNameBytes

    public byte[] getNameBytes()

  Returns the name as a byte array in EBCIDIC encoding

  Returns:
    the name as a byte array in EBCIDIC encoding

### copySF

    protected void copySF(byte[] data,
                          byte type,
                          byte category)

  Copies the template structured field data array to the given byte array

  Overrides:
    `copySF` in class `AbstractAFPObject`
  Parameters:
    `data` - the structured field data byte array
    `type` - the type code
    `category` - the category code

### getName

    public java.lang.String getName()

  Returns the name of this object

  Returns:
    the name of this object

### setName

    public void setName(java.lang.String name)

  Sets the name of this object

  Parameters:
    `name` - the object name

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.